Actions
Prepare a protected write
Creates a five-minute preview and confirmation token without modifying Jointl data.
POST
https://api.join.tl
/
api
/
v1
/
actions
/
prepare
Prepare a protected write
curl --request POST \
--url https://api.join.tl/api/v1/actions/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "intent.example.0001",
"input": {
"flowId": "flowid_example_01"
},
"operationId": "glowMoments.send"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'intent.example.0001',
input: {flowId: 'flowid_example_01'},
operationId: 'glowMoments.send'
})
};
fetch('https://api.join.tl/api/v1/actions/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.join.tl/api/v1/actions/prepare"
payload = {
"idempotencyKey": "intent.example.0001",
"input": { "flowId": "flowid_example_01" },
"operationId": "glowMoments.send"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"confirmationId": "<string>",
"confirmationToken": "<string>",
"expiresAt": "<string>",
"instruction": "<string>",
"operation": {
"id": "<string>",
"title": "<string>"
},
"preview": {},
"state": "pending"
},
"requestId": "<string>"
}{
"error": {
"code": "invalid-external-operation-input",
"message": "The operation input is invalid."
},
"requestId": "request_example_400"
}{
"error": {
"code": "not-authenticated",
"message": "Authentication is required."
},
"requestId": "request_example_401"
}{
"error": {
"code": "not-authorized",
"message": "You are not allowed to perform this action."
},
"requestId": "request_example_403"
}{
"error": {
"code": "not-found",
"message": "The requested record was not found."
},
"requestId": "request_example_404"
}{
"error": {
"code": "external-action-conflict",
"message": "The action conflicts with current state."
},
"requestId": "request_example_409"
}{
"error": {
"code": "request-too-large",
"message": "The request body is too large."
},
"requestId": "request_example_413"
}{
"error": {
"code": "too-many-requests",
"message": "Too many requests."
},
"requestId": "request_example_429"
}{
"error": {
"code": "internal-error",
"message": "The request could not be completed."
},
"requestId": "request_example_500"
}{
"error": {
"code": "temporarily-unavailable",
"message": "The service is temporarily unavailable."
},
"requestId": "request_example_503"
}Authorizations
JointlOAuthJointlApiKey
OAuth access token issued for the REST resource.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
⌘I
Prepare a protected write
curl --request POST \
--url https://api.join.tl/api/v1/actions/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "intent.example.0001",
"input": {
"flowId": "flowid_example_01"
},
"operationId": "glowMoments.send"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'intent.example.0001',
input: {flowId: 'flowid_example_01'},
operationId: 'glowMoments.send'
})
};
fetch('https://api.join.tl/api/v1/actions/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.join.tl/api/v1/actions/prepare"
payload = {
"idempotencyKey": "intent.example.0001",
"input": { "flowId": "flowid_example_01" },
"operationId": "glowMoments.send"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"confirmationId": "<string>",
"confirmationToken": "<string>",
"expiresAt": "<string>",
"instruction": "<string>",
"operation": {
"id": "<string>",
"title": "<string>"
},
"preview": {},
"state": "pending"
},
"requestId": "<string>"
}{
"error": {
"code": "invalid-external-operation-input",
"message": "The operation input is invalid."
},
"requestId": "request_example_400"
}{
"error": {
"code": "not-authenticated",
"message": "Authentication is required."
},
"requestId": "request_example_401"
}{
"error": {
"code": "not-authorized",
"message": "You are not allowed to perform this action."
},
"requestId": "request_example_403"
}{
"error": {
"code": "not-found",
"message": "The requested record was not found."
},
"requestId": "request_example_404"
}{
"error": {
"code": "external-action-conflict",
"message": "The action conflicts with current state."
},
"requestId": "request_example_409"
}{
"error": {
"code": "request-too-large",
"message": "The request body is too large."
},
"requestId": "request_example_413"
}{
"error": {
"code": "too-many-requests",
"message": "Too many requests."
},
"requestId": "request_example_429"
}{
"error": {
"code": "internal-error",
"message": "The request could not be completed."
},
"requestId": "request_example_500"
}{
"error": {
"code": "temporarily-unavailable",
"message": "The service is temporarily unavailable."
},
"requestId": "request_example_503"
}